4 # Example init script, this can be used with nginx, too,
5 # since nginx and unicorn accept the same signals
7 # Feel free to change any of the following variables for your app:
8 APP_ROOT
=/home
/x
/my_app
/current
9 PID
=$APP_ROOT/tmp
/pids
/unicorn.pid
10 CMD
="/usr/bin/unicorn -D -c $APP_ROOT/config/unicorn.rb"
11 INIT_CONF
=$APP_ROOT/config
/init.conf
13 test -f "$INIT_CONF" && .
$INIT_CONF
17 cd $APP_ROOT ||
exit 1
20 test -s "$PID" && kill -$1 `cat $PID`
24 test -s $old_pid && kill -$1 `cat $old_pid`
29 sig
0 && echo >&2 "Already running" && exit 0
34 echo >&2 "Not running"
38 echo >&2 "Not running"
41 sig HUP
&& echo reloaded OK
&& exit 0
42 echo >&2 "Couldn't reload, starting '$CMD' instead"
46 sig USR2
&& sleep 2 && sig
0 && oldsig QUIT
&& exit 0
47 echo >&2 "Couldn't upgrade, starting '$CMD' instead"
51 echo >&2 "Usage: $0 <start|stop|restart|upgrade|force-stop>"